CVE ID:

CVE-2017-9954

Details:

The getvalue function in tekhex.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.28, allows remote attackers to cause a denial of service (stack-based buffer over-read and application crash) via a crafted tekhex file, as demonstrated by mishandling within the nm program.

References:

:https://sourceware.org/bugzilla/show_bug.cgi?id=21670

ZeroDayLab Assigned Tags:

CRASH
REMOTE
BUFFER OVER-READ
APPLICATION CRASH
DOS